Package org.jboss.logmanager.handlers

## Class UncloseableWriter

- java.lang.Object
- - java.io.Writer
  - - org.jboss.logmanager.handlers.UncloseableWriter

All Implemented Interfaces:
  `java.io.Closeable`, `java.io.Flushable`, `java.lang.Appendable`, `java.lang.AutoCloseable`

    public final class UncloseableWriter
    extends java.io.Writer

An output stream wrapper which drops calls to the `close()` method.

### Field Summary

### Fields inherited from class java.io.Writer

`lock`

### Constructor Summary

Constructors
`UncloseableWriter​(java.io.Writer delegate)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.io.Writer` `append​(char c)`
`java.io.Writer` `append​(java.lang.CharSequence csq)`
`java.io.Writer` `append​(java.lang.CharSequence csq, int start, int end)`
`void` `close()`
`void` `flush()`
`void` `write​(char[] cbuf)`
`void` `write​(char[] cbuf, int off, int len)`
`void` `write​(int c)`
`void` `write​(java.lang.String str)`
`void` `write​(java.lang.String str, int off, int len)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UncloseableWriter

    public UncloseableWriter​(java.io.Writer delegate)

### Method Detail

#### write

    public void write​(int c)
               throws java.io.IOException

Overrides:
  `write` in class `java.io.Writer`
Throws:
  `java.io.IOException`

#### write

    public void write​(char[] cbuf)
               throws java.io.IOException

Overrides:
  `write` in class `java.io.Writer`
Throws:
  `java.io.IOException`

#### write

    public void write​(char[] cbuf,
                      int off,
                      int len)
               throws java.io.IOException

Specified by:
  `write` in class `java.io.Writer`
Throws:
  `java.io.IOException`

#### write

    public void write​(java.lang.String str)
               throws java.io.IOException

Overrides:
  `write` in class `java.io.Writer`
Throws:
  `java.io.IOException`

#### write

    public void write​(java.lang.String str,
                      int off,
                      int len)
               throws java.io.IOException

Overrides:
  `write` in class `java.io.Writer`
Throws:
  `java.io.IOException`

#### append

    public java.io.Writer append​(java.lang.CharSequence csq)
                          throws java.io.IOException

Specified by:
  `append` in interface `java.lang.Appendable`
Overrides:
  `append` in class `java.io.Writer`
Throws:
  `java.io.IOException`

#### append

    public java.io.Writer append​(java.lang.CharSequence csq,
                                 int start,
                                 int end)
                          throws java.io.IOException

Specified by:
  `append` in interface `java.lang.Appendable`
Overrides:
  `append` in class `java.io.Writer`
Throws:
  `java.io.IOException`

#### append

    public java.io.Writer append​(char c)
                          throws java.io.IOException

Specified by:
  `append` in interface `java.lang.Appendable`
Overrides:
  `append` in class `java.io.Writer`
Throws:
  `java.io.IOException`

#### flush

    public void flush()
               throws java.io.IOException

Specified by:
  `flush` in interface `java.io.Flushable`
Specified by:
  `flush` in class `java.io.Writer`
Throws:
  `java.io.IOException`

#### close

    public void close()

Specified by:
  `close` in interface `java.lang.AutoCloseable`
Specified by:
  `close` in interface `java.io.Closeable`
Specified by:
  `close` in class `java.io.Writer`